uniform vec2 u_resolution;
uniform vec2 u_mouse;
uniform float u_duration;
uniform float u_time;
uniform float u_time_end;
uniform sampler2D texture;
uniform bool is_shape;

void main() {
  if(is_shape) {
    vec4 color = vec4(1.0, 0.0, 0.0, 1.0);
    gl_FragColor = gl_Color * color;
  } else {
    vec4 pixel = texture2D(texture, gl_TexCoord[0].xy);
    vec4 color = vec4(1.0, 0.0, 0.0, 1.0);
    gl_FragColor = gl_Color * color * pixel;
  }
}
